about summary refs log tree commit diff
diff options
context:
space:
mode:
authorDominik Maier <domenukk@gmail.com>2022-09-15 15:50:51 +0200
committerDominik Maier <domenukk@gmail.com>2022-09-15 15:50:51 +0200
commit2125950a81a58132b95fc0a15fcbbcebe3d225c8 (patch)
treec5d16f7f6e8e6e47daf3058f5dc2fedfbb223aec
parent8e3aee8a1a434ee0c962a478b0fe788f2da5707a (diff)
downloadafl++-2125950a81a58132b95fc0a15fcbbcebe3d225c8.tar.gz
undo tmp changes in unicorn_mode
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index 413a49e2..f24c8ce3 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -156,9 +156,9 @@ echo "[*] Making sure unicornafl is checked out"
 git status 1>/dev/null 2>/dev/null
 if [ $? -eq 0 ]; then
   echo "[*] initializing unicornafl submodule"
-  #git submodule init || exit 1
-  #git submodule update ./unicornafl 2>/dev/null # ignore errors
-  #git submodule sync ./unicornafl 2>/dev/null # ignore errors
+  git submodule init || exit 1
+  git submodule update ./unicornafl 2>/dev/null # ignore errors
+  git submodule sync ./unicornafl 2>/dev/null # ignore errors
 else
   echo "[*] cloning unicornafl"
   test -d unicornafl/.git || {
@@ -177,8 +177,8 @@ echo "[+] Got unicornafl."
 cd "unicornafl" || exit 1
 echo "[*] Checking out $UNICORNAFL_VERSION"
 git pull
-#sh -c 'git stash && git stash drop' 1>/dev/null 2>/dev/null
-#git checkout "$UNICORNAFL_VERSION" || exit 1
+sh -c 'git stash && git stash drop' 1>/dev/null 2>/dev/null
+git checkout "$UNICORNAFL_VERSION" || exit 1
 
 echo "[*] making sure afl++ header files match"
 cp "../../include/config.h" "./include" || exit 1